Failed to upload node_modules.tar.gz: unknown: Argument name clash in strict mode

Hi,

Previously I have followed the docs at https://docs.mongodb.com/realm/functions/upload-external-dependencies/ to upload axios and dependencies into Realm and I am now trying to do the same for https://www.npmjs.com/package/limiter. However when I upload the tar I get an error

Failed to upload node_modules.tar.gz: unknown: Argument name clash in strict mode 
(54:29) 52 | }, 53 | 'and removing 1 token': { > 54 | topic: function(_, _, bucket) { | ^ 55 | 
this.gStart = +new Date(); 56 | bucket.removeTokens(1, this.callback); 57 | },

I’ve read the other thread on here with the same issue and tried older versions of the package but it consistently fails. I’ve tried using a node_modules dir that only contains the new package, and I’ve tried a node_modules dir that includes the previously uploaded packages. Both consistently fail.

Can anyone offer advice on this? Is there a way to delete the packages I have already uploaded?

Update - I’ve tested with an empty node_modules directory and the issue persists so it doens’t seem related to the modules

Hi Stuart,

Thanks for reporting this, I was able to reproduce and will check-in with the team to investigate and fix.

1 Like

Thanks @Sumedha_Mehta1. Happy to help test if necessary.

Hi @Sumedha_Mehta1 - do you have a rough idea of when this might be addressed? Is there any workaround?

Hey Stuart - we don’t have another release till next week and depending on the size of the bug, it could also take a bit more. However is it possible to use another rate limiting package that is similar? (e.g. Bottleneck - https://www.npmjs.com/package/bottleneck seemed to work for me)

1 Like